var qtdeMostrada = -qtdeCarregar;

function carregarDadosPositivCli() {
	if ($("#filtrovendedorpositivcli").val() == "") {
		alert("Informe o vendedor");
		return;
	}
	
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;

	if (document.getElementById('tabelarelpositivcli').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}

	$('#divtabelapositivcli').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('positivcli/relpositivcli.php',
		{
			codvendedor: $("#filtrovendedorpositivcli").val(),
			dataini: $('#datainipositivcli').val(),
			datafin: $('#datafinpositivcli').val(),
			modelo: $('#positivclimodelo').val(), 
			clientepor: $('#positivcliclientepor').val(),
			agruparpor: $('#positivcliagrupar').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar //qtdeCarregar em dadosJS.js
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelpositivcli').childNodes[3].innerHTML += data;
				$("#tabelarelpositivcli").table("refresh");	
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelpositivcli").click();
			}
		}
	);
	$('#divtabelapositivcli').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopPositivCli);
}

function scrollStopPositivCli() {
	checkScroll(carregarDadosPositivCli, "relpositivcli"); //checkScroll em dadosJS.js
}

$.mobile.document
	.on('click', '#botaovisualizarpositivcli', function(event){
		qtdeMostrada = -qtdeCarregar;
		carregarDadosPositivCli();
	})
	
	.on('click', '#voltarrelpositivcli', function(){
		$("#tabelarelpositivcli tbody tr").remove();
	})

	.on('pageshow', '#relpositivcli', function() {
		$(document).on('scrollstop', scrollStopPositivCli);		
	})
	
	.on('pagebeforecreate', '#positivcli', function() {
		geraLkp($("#filtrovendedorpositivcli"), 'lookups/lkpvendedores.php');
		lkpRotas();
	})
	
	;